Bug 236795

Summary: databases/galera 'garb_galera_options' not working with multiple options
Product: Ports & Packages Reporter: TAO ZHOU <zhoutao>
Component: Individual Port(s)Assignee: Jochen Neumeister <joneum>
Status: Closed FIXED    
Severity: Affects Only Me CC: admin, devel, fw, joneum, teemu.ollakka
Priority: --- Keywords: needs-qa
Version: LatestFlags: devel: maintainer-feedback+
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch for databases/galera
fw: maintainer-approval?
patch for databases/galera26 none

Description TAO ZHOU 2019-03-26 00:14:57 UTC
The garbd options are semicolon separated key value pairs.
The current rc.d script does not support multiple options(eg. "gmcast.listen_addr=tcp://0.0.0.0:5567;pc.weight=1")

The variable garb_galera_options need to be quoted in command line.

I've fixed it with the following changes

--- garb.sh.in.orig	2019-03-26 11:08:18.383489000 +1100
+++ garb.sh.in	2019-03-26 11:07:20.345938000 +1100
@@ -71,7 +71,7 @@

 	command_args="$command_args -a gcomm://$ADDRESS"
 	[ -n "$garb_galera_group" ]   && command_args="$command_args -g $garb_galera_group"
-	[ -n "$garb_galera_options" ] && command_args="$command_args -o $garb_galera_options"
+	[ -n "$garb_galera_options" ] && command_args="$command_args -o '$garb_galera_options'"
 	[ -n "$garb_log_file" ]       && command_args="$command_args -l $garb_log_file"
 	return 0
 }
Comment 1 Bugzilla Automation freebsd_committer 2019-03-26 00:14:57 UTC
Maintainer informed via mail
Comment 2 Frank Wall 2020-02-12 11:36:47 UTC
I can confirm this issue. When using the semicolon separated syntax for garb_galera_options, the following error will be shown:

# service garb start
Starting garb.
eval: gcs.fc_factor=0.99: not found
eval: gcs.fc_master_slave=YES: not found
eval: evs.keepalive_period=PT1S: not found
eval: evs.suspect_timeout=PT1M: not found

The proposed fix is working for me. I've attached patches for both ports databases/galera and databases/galera26.
Comment 3 Frank Wall 2020-02-12 11:38:28 UTC
Created attachment 211585 [details]
patch for databases/galera
Comment 4 Frank Wall 2020-02-12 11:39:10 UTC
Created attachment 211586 [details]
patch for databases/galera26
Comment 5 Jochen Neumeister freebsd_committer 2020-05-27 10:08:44 UTC
 Bugzilla was unable to make any match at all for one or more of the names and/or email addresses you entered on the previous page.

Please go back and try other names or email addresses.
CC: 	
devel@galeracluster.com did not match anything 

send him a private eMail for feedback
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-10 03:23:03 UTC
@Maintainer (Teemu) Could you please update either the galera port MAINTAINER lines to match Bugzilla account email address, or create a Bugzilla account (or update the current bugzilla account email) with the current MAINTAINER value. 

This ensures that our AutoAssigner can correctly notify maintainers for new issues for ports they maintain
Comment 7 devel 2020-06-22 10:19:29 UTC
(In reply to Kubilay Kocak from comment #6)
Done
Comment 8 commit-hook freebsd_committer 2020-07-09 12:51:35 UTC
A commit references this bug:

Author: joneum
Date: Thu Jul  9 12:50:45 UTC 2020
New revision: 541747
URL: https://svnweb.freebsd.org/changeset/ports/541747

Log:
  The garbd options are semicolon separated key value pairs.
  The current rc.d script does not support multiple options(eg. "gmcast.listen_addr=tcp://0.0.0.0:5567;pc.weight=1")

  The variable garb_galera_options need to be quoted in command line.

  PR:		236795
  Reported by:	TAO ZHOU <zhoutao@laocius.org>
  Approved by:	devel@galeracluster.com (maintainer)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/databases/galera/files/garb.sh.in
Comment 9 commit-hook freebsd_committer 2020-07-09 14:07:52 UTC
A commit references this bug:

Author: joneum
Date: Thu Jul  9 14:07:17 UTC 2020
New revision: 541752
URL: https://svnweb.freebsd.org/changeset/ports/541752

Log:
  The garbd options are semicolon separated key value pairs.
  The current rc.d script does not support multiple options(eg. "gmcast.listen_addr=tcp://0.0.0.0:5567;pc.weight=1")

  The variable garb_galera_options need to be quoted in command line.

  PR:		236795
  Reported by:	TAO ZHOU <zhoutao@laocius.org>
  Approved by:	devel@galeracluster.com (maintainer)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/databases/galera26/files/garb.sh.in
Comment 10 commit-hook freebsd_committer 2020-07-09 22:00:16 UTC
A commit references this bug:

Author: joneum
Date: Thu Jul  9 21:59:54 UTC 2020
New revision: 541828
URL: https://svnweb.freebsd.org/changeset/ports/541828

Log:
  MFH: r541747

  The garbd options are semicolon separated key value pairs.
  The current rc.d script does not support multiple options(eg. "gmcast.listen_addr=tcp://0.0.0.0:5567;pc.weight=1")

  The variable garb_galera_options need to be quoted in command line.

  PR:		236795
  Reported by:	TAO ZHOU <zhoutao@laocius.org>
  Approved by:	devel@galeracluster.com (maintainer)
  Sponsored by:	Netzkommune GmbH

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/databases/galera/files/garb.sh.in
Comment 11 commit-hook freebsd_committer 2020-07-09 22:01:18 UTC
A commit references this bug:

Author: joneum
Date: Thu Jul  9 22:00:50 UTC 2020
New revision: 541829
URL: https://svnweb.freebsd.org/changeset/ports/541829

Log:
  MFH: r541752

  The garbd options are semicolon separated key value pairs.
  The current rc.d script does not support multiple options(eg. "gmcast.listen_addr=tcp://0.0.0.0:5567;pc.weight=1")

  The variable garb_galera_options need to be quoted in command line.

  PR:		236795
  Reported by:	TAO ZHOU <zhoutao@laocius.org>
  Approved by:	devel@galeracluster.com (maintainer)
  Sponsored by:	Netzkommune GmbH

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/databases/galera26/files/garb.sh.in